curl --request GET \
--url https://api.volteras.com/v1/vehicles/{vehicle_id}/telemetry \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.volteras.com/v1/vehicles/{vehicle_id}/telemetry"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.volteras.com/v1/vehicles/{vehicle_id}/telemetry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"odometer": {
"value": 123,
"unit": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"location": {
"latitude": 123,
"longitude": 123,
"timestamp": "2023-11-07T05:31:56Z"
},
"elevation": {
"value": 123,
"unit": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"speed": {
"value": 123,
"unit": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"heading": {
"value": 123,
"unit": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"stateOfCharge": {
"value": 123,
"unit": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"chargingState": {
"chargingState": "STARTING",
"timestamp": "2023-11-07T05:31:56Z",
"chargePortDoorOpen": true,
"chargePortLatch": "ENGAGED"
},
"range": {
"value": 123,
"unit": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"tirePressure": {
"frontRightTire": 123,
"frontLeftTire": 123,
"rearRightTire": 123,
"rearLeftTire": 123,
"unit": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"security": {
"locked": true,
"frontRightDoor": "OPEN",
"frontLeftDoor": "OPEN",
"rearRightDoor": "OPEN",
"rearLeftDoor": "OPEN",
"frontRightWindow": "OPEN",
"frontLeftWindow": "OPEN",
"rearLeftWindow": "OPEN",
"rearRightWindow": "OPEN",
"frontTrunk": "OPEN",
"rearTrunk": "OPEN",
"sunRoof": "OPEN",
"timestamp": "2023-11-07T05:31:56Z"
},
"metadata": {
"lastSeenAt": "2023-11-07T05:31:56Z",
"consentId": "<string>",
"accountId": "<string>",
"registrationDate": "2023-12-25"
},
"realRange": {
"value": 123,
"unit": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"maxStateOfCharge": {
"value": 123,
"timestamp": "2023-11-07T05:31:56Z",
"unit": "percent"
},
"chargeRemainingTime": {
"value": 123,
"timestamp": "2023-11-07T05:31:56Z",
"unit": "minutes"
},
"chargePowerLevel": {
"value": 123,
"timestamp": "2023-11-07T05:31:56Z",
"unit": "kw"
},
"chargeCurrentLimit": {
"value": 123,
"timestamp": "2023-11-07T05:31:56Z",
"unit": "amps"
},
"energyRemaining": {
"value": 123,
"unit": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"minStateOfCharge": {
"value": 123,
"timestamp": "2023-11-07T05:31:56Z",
"unit": "percent"
}
}Get Vehicle Telemetry
Retrieve telemetry data for the specified vehicle. The telemetry data provides essential information about the vehicle’s status and performance.
Parameters:
vehicle_id: The unique identifier (ID) of the vehicle to retrieve telemetry data for.
Returns:
- Telemetry data for the vehicle.
Telemetry Information returned might include:
- Odometer: The total distance traveled by the vehicle, recorded in kilometers. The timestamp indicates when the odometer reading was taken.
- Location: The current latitude and longitude coordinates of the vehicle’s position on Earth’s surface. The timestamp indicates when the location reading was captured.
- Elevation: The vehicle’s altitude above sea level, measured in meters. The timestamp shows when the elevation reading was recorded.
- State of Charge: The battery’s state of charge, expressed as a percentage. The timestamp indicates when the charge level was last updated.
- Charging State: Indicates whether the vehicle is actively charging or not. The timestamp reveals the time of the charging state observation.
- Range: The estimated driving range of the vehicle on its current battery charge, provided in kilometers. The timestamp shows when the range reading was taken.
Note:
- The
vehicle_idshould correspond to a valid and existing vehicle identifier.
Possible Codes in Error Response (see Errors for error response schema and meaning of codes):
- AUTHENTICATION_ERROR
- REQUEST_VALIDATION_ERROR
- RESOURCE_NOT_FOUND
- SERVER_ERROR
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique internal identifier for the vehicle.
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

